
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for WSValuation complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSValuation"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="ValuationDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
 *         &lt;element name="NewPrices" type="{http://samo.cz/iva/}WSVehiclePrices" minOccurs="0"/&gt;
 *         &lt;element name="MarketPrices" type="{http://samo.cz/iva/}WSVehiclePrices" minOccurs="0"/&gt;
 *         &lt;element name="FinalPrice" type="{http://samo.cz/iva/}WSPrice" minOccurs="0"/&gt;
 *         &lt;element name="Status" type="{http://samo.cz/iva/}WSResultStatus" minOccurs="0"/&gt;
 *         &lt;element name="PdfDocument" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSValuation", propOrder = {
    "valuationDate",
    "newPrices",
    "marketPrices",
    "finalPrice",
    "status",
    "pdfDocument"
})
public class WSValuation {

    @XmlElement(name = "ValuationDate")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar valuationDate;
    @XmlElement(name = "NewPrices", nillable = true)
    protected WSVehiclePrices newPrices;
    @XmlElement(name = "MarketPrices", nillable = true)
    protected WSVehiclePrices marketPrices;
    @XmlElement(name = "FinalPrice", nillable = true)
    protected WSPrice finalPrice;
    @XmlElement(name = "Status", nillable = true)
    protected WSResultStatus status;
    @XmlElement(name = "PdfDocument", nillable = true)
    protected byte[] pdfDocument;

    /**
     * Gets the value of the valuationDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getValuationDate() {
        return valuationDate;
    }

    /**
     * Sets the value of the valuationDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setValuationDate(XMLGregorianCalendar value) {
        this.valuationDate = value;
    }

    /**
     * Gets the value of the newPrices property.
     * 
     * @return
     *     possible object is
     *     {@link WSVehiclePrices }
     *     
     */
    public WSVehiclePrices getNewPrices() {
        return newPrices;
    }

    /**
     * Sets the value of the newPrices property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSVehiclePrices }
     *     
     */
    public void setNewPrices(WSVehiclePrices value) {
        this.newPrices = value;
    }

    /**
     * Gets the value of the marketPrices property.
     * 
     * @return
     *     possible object is
     *     {@link WSVehiclePrices }
     *     
     */
    public WSVehiclePrices getMarketPrices() {
        return marketPrices;
    }

    /**
     * Sets the value of the marketPrices property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSVehiclePrices }
     *     
     */
    public void setMarketPrices(WSVehiclePrices value) {
        this.marketPrices = value;
    }

    /**
     * Gets the value of the finalPrice property.
     * 
     * @return
     *     possible object is
     *     {@link WSPrice }
     *     
     */
    public WSPrice getFinalPrice() {
        return finalPrice;
    }

    /**
     * Sets the value of the finalPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSPrice }
     *     
     */
    public void setFinalPrice(WSPrice value) {
        this.finalPrice = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link WSResultStatus }
     *     
     */
    public WSResultStatus getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSResultStatus }
     *     
     */
    public void setStatus(WSResultStatus value) {
        this.status = value;
    }

    /**
     * Gets the value of the pdfDocument property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getPdfDocument() {
        return pdfDocument;
    }

    /**
     * Sets the value of the pdfDocument property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setPdfDocument(byte[] value) {
        this.pdfDocument = value;
    }

    public WSValuation withValuationDate(XMLGregorianCalendar value) {
        setValuationDate(value);
        return this;
    }

    public WSValuation withNewPrices(WSVehiclePrices value) {
        setNewPrices(value);
        return this;
    }

    public WSValuation withMarketPrices(WSVehiclePrices value) {
        setMarketPrices(value);
        return this;
    }

    public WSValuation withFinalPrice(WSPrice value) {
        setFinalPrice(value);
        return this;
    }

    public WSValuation withStatus(WSResultStatus value) {
        setStatus(value);
        return this;
    }

    public WSValuation withPdfDocument(byte[] value) {
        setPdfDocument(value);
        return this;
    }

}
